Subject: Re: [RFC PATCHv1 net-next] xen-netback: always fully coalesce guest Rx packets

From: Ian Campbell <[email-masked]>
Date: Tue, 20 Jan 2015 11:34:06 +0000

On Tue, 2015-01-13 at 14:05 +0000, David Vrabel wrote:
> Always fully coalesce guest Rx packets into the minimum number of ring
> slots.  Reducing the number of slots per packet has significant
> performance benefits (e.g., 7.2 Gbit/s to 11 Gbit/s in an off-host
> receive test).
> 
> However, this does increase the number of grant ops per packet which
> decreases performance with some workloads (intrahost VM to VM)
> /unless/ grant copy has been optimized for adjacent ops with the same
> source or destination (see "grant-table: defer releasing pages
> acquired in a grant copy"[1]).
> 
> Do we need to retain the existing path and make the always coalesce
> path conditional on a suitable version of Xen?
> 
> [1] http://lists.xen.org/archives/html/xen-devel/2015-01/msg01118.html
> 
> Signed-off-by: David Vrabel <[email-masked]>

Looks good to me, thanks. Based on that plus the conversation in the
other subthread:

Acked-by: Ian Campbell <[email-masked]>